SDL-0.6.7.0: Binding to libSDL

Copyright | (c) David Himmelstrup 2005
License | BSD-like
Maintainer | lemmih@gmail.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Graphics.UI.SDL.Rect

Description

# Documentation

data Rect Source #

Constructors

Rect |

Fields

- rectX, rectY :: Int
- rectW, rectH :: Int

Instances

Eq Rect Source # |
Instance details Defined in Graphics.UI.SDL.Rect Methods (==) :: Rect -> Rect -> Bool Source # (/=) :: Rect -> Rect -> Bool Source #
Ord Rect Source # |
Instance details Defined in Graphics.UI.SDL.Rect Methods compare :: Rect -> Rect -> Ordering Source # (<) :: Rect -> Rect -> Bool Source # (<=) :: Rect -> Rect -> Bool Source # (>) :: Rect -> Rect -> Bool Source # (>=) :: Rect -> Rect -> Bool Source # max :: Rect -> Rect -> Rect Source # min :: Rect -> Rect -> Rect Source #
Show Rect Source # |
Instance details Defined in Graphics.UI.SDL.Rect Methods showsPrec :: Int -> Rect -> ShowS Source # show :: Rect -> String Source # showList :: [Rect] -> ShowS Source #
Storable Rect Source # |

Instance details

Defined in Graphics.UI.SDL.Rect

Methods

sizeOf :: Rect -> Int Source #

alignment :: Rect -> Int Source #

peekElemOff :: Ptr Rect -> Int -> IO Rect Source #

pokeElemOff :: Ptr Rect -> Int -> Rect -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO Rect Source #

pokeByteOff :: Ptr b -> Int -> Rect -> IO () Source #

peek :: Ptr Rect -> IO Rect Source #

poke :: Ptr Rect -> Rect -> IO () Source #